Package org.kapott.hbci.exceptions

# Class PredelimErrorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.kapott.hbci.exceptions.HBCI_Exception
org.kapott.hbci.exceptions.ParseErrorException
org.kapott.hbci.exceptions.PredelimErrorException

All Implemented Interfaces:
  `Serializable`

public final class PredelimErrorException extends ParseErrorException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PredelimErrorException(String path, String expected, String found)`

## Method Summary

### Methods inherited from class org.kapott.hbci.exceptions.HBCI_Exception

`applyLogFilter, isFatal, setFatal`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PredelimErrorException

public PredelimErrorException(String path, String expected, String found)